
#ifndef SHOOT_ROCKET_H
#define SHOOT_ROCKET_H

/* openGL Headers */
#include <GL/glut.h>

#include "stdincl.h"
#include "data_tank.h"

class ShootRocket {


 public:
  
  /* a list of all shoot-amental objects */
  struct shoot {
    shoot *next;
    float xCor;
    float yCor;
    float zCor;    
    float xVel;
    float yVel;
    float zVel;
    float xAcc;
    float yAcc;
    float zAcc;
    float age;
    float collisionRadius;
  };
  shoot* lastShoot;

  ShootRocket ();
  ~ShootRocket ();

  void drawShoot(void);
  void addShoot(shoot* sh);
  void addShoot(float x, float y, float z);
  void addShootExt(float x, float y, float z, float xVel, float yVel, float zVel);
  void setShootStep(float step);
  void removeShoot(shoot* sh);


 private:

  float step;

};

#endif
